%define origname GeoIP
%def_disable static

Name: lib%{origname}
Version: 1.4.2
Release: alt1

Summary: GeoIP is a C library find what country an IP address or hostname originates from.
License: LGPL
Group: System/Libraries

URL: http://www.maxmind.com/app/c
Source: http://www.maxmind.com/download/geoip/api/c/%origname-%version.tar.gz

%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Tue Feb 03 2004
BuildRequires: zlib-devel

%description
%origname is a C library that enables the user to find the country that any IP
address or hostname originates from. It uses a file based database that is
accurate as of March 2003. This database simply contains IP blocks as keys,
and countries as values. This database should be more complete and accurate
than using reverse DNS lookups. Commercial databases and automatic update
services are available from http://www.maxmind.com/

This module can be used to automatically select the geographically closest
mirror, to analyze your web server logs to determine the countries of your
visitors, for credit card fraud detection, and for software export controls.

%package devel
Summary: GeoIP headers, libraries
Group: Development/C
Requires: %name = %version

%description devel
%origname is a C library that enables the user to find the country that
any IP address or hostname originates from.

This package contain the devel files for %origname.

%if_enabled static
%package devel-static
Summary: GeoIP static libraries
Group: Development/C
Requires: %name = %version

%description devel-static
%origname is a C library that enables the user to find the country that any IP
address or hostname originates from.

This package contain static libraries for %origname.
%endif

%package tools
Summary: GeoIP tools
Group: System/Libraries
Requires: %name = %version

%description tools
%origname is a C library that enables the user to find the country that
any IP address or hostname originates from.

This package contain few tools for %origname such as lookup, export,
autoupdate.

%prep
%setup -q -n %origname-%version

%build
%configure %{subst_enable static}
%make_build
make check

%install
%make_install DESTDIR=$RPM_BUILD_ROOT install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS ChangeLog TODO
%config(noreplace) %_sysconfdir/GeoIP.conf
%exclude %_sysconfdir/GeoIP.conf.default
%_libdir/*.so.*
%_datadir/%origname

%files devel
%_includedir/*
%_libdir/*.so

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%files tools
%_bindir/*
%_man1dir/*

%changelog
* Thu Mar 22 2007 Victor Forsyuk <force@altlinux.org> 1.4.2-alt1
- 1.4.2

* Tue Feb 06 2007 Victor Forsyuk <force@altlinux.org> 1.4.1-alt1
- 1.4.1

* Mon Oct 09 2006 Victor Forsyuk <force@altlinux.org> 1.4.0-alt1
- 1.4.0
- License: GPL --> LGPL
- Fixed build with --as-needed.
- Move header files from sub-dir to /usr/include (to meet expectation
  of software that uses libGeoIP).
- Place config straight in /etc (subdirectory just for one file is
  little overkill :).

* Wed Mar 02 2005 Dmitry Vukolov <dav@altlinux.ru> 1.3.8-alt1
- version 1.3.8

* Sat Sep 11 2004 Dmitry Vukolov <dav@altlinux.ru> 1.3.6-alt1
- new version
- GeoIP_country_code_by_name test disabled

* Fri Aug 06 2004 Dmitry Vukolov <dav@altlinux.ru> 1.3.5-alt1
- version 1.3.5
- *.a files moved to the (optional) devel-static package
- GeoIP.conf.default will be overwritten on update
- Ukrainian description locale corrected

* Mon Feb  2 2004 Serhii Hlodin <hlodin@altlinux.ru> 1.3.1-alt2
- Minor fixes for Sisyphus

* Thu Nov 27 2003 Serhii Hlodin <hlodin@altlinux.ru> 1.3.1-alt1
- Initial build from original SPEC-file by Peter Bieringer
- Create additional packages: devel-static and tools

* Mon Sep  8 2003 Dr. Peter Bieringer
- Fix for RHL 9, created a new devel package definition.

* Thu Feb 27 2003 Ryan Weaver <ryanw@falsehope.com>
- Initial RPM Build
